ScalaCompile (Gradle API 2.14)
Date: 2016-06-14

org.gradle.api.tasks.scala

## Class ScalaCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.tasks.compile.AbstractCompile
          - - org.gradle.language.scala.tasks.AbstractScalaCompile
            - - org.gradle.api.tasks.scala.ScalaCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      public class ScalaCompile
      extends AbstractScalaCompile

  Compiles Scala source files, and optionally, Java source files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.language.scala.tasks.AbstractScalaCompile

      `LOGGER`

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalaCompile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertScalaClasspathIsNonEmpty()`
    `protected void` | `configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)`
    `protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec>` | `getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)`
    `FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the Scala compiler.
    `ScalaCompileOptions` | `getScalaCompileOptions()` Returns the Scala compilation options.
    `FileCollection` | `getZincClasspath()` Returns the classpath to use to load the Zinc incremental compiler.
    `void` | `setCompiler(org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> compiler)` For testing only.
    `void` | `setScalaClasspath(FileCollection scalaClasspath)`
    `void` | `setZincClasspath(FileCollection zincClasspath)`

    - ### Methods inherited from class org.gradle.language.scala.tasks.AbstractScalaCompile

      `compile, createSpec, filterForClasspath, getOptions, getOrCreateGlobalAnalysisMap`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractCompile

      `getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaCompile

          @Inject
          public ScalaCompile()

  - ### Method Detail

    - #### getScalaCompileOptions

          public ScalaCompileOptions getScalaCompileOptions()

      Description copied from class: `AbstractScalaCompile`
      Returns the Scala compilation options.
      Overrides:
        `getScalaCompileOptions` in class `AbstractScalaCompile`

    - #### getScalaClasspath

          @InputFiles
          public FileCollection getScalaClasspath()

      Returns the classpath to use to load the Scala compiler.

    - #### setScalaClasspath

          public void setScalaClasspath(FileCollection scalaClasspath)

    - #### getZincClasspath

          @InputFiles
          public FileCollection getZincClasspath()

      Returns the classpath to use to load the Zinc incremental compiler. This compiler in turn loads the Scala compiler.

    - #### setZincClasspath

          public void setZincClasspath(FileCollection zincClasspath)

    - #### setCompiler

          public void setCompiler(org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> compiler)

      For testing only.

    - #### getCompiler

          protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)

      Specified by:
        `getCompiler` in class `AbstractScalaCompile`

    - #### configureIncrementalCompilation

          protected void configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)

      Overrides:
        `configureIncrementalCompilation` in class `AbstractScalaCompile`

    - #### assertScalaClasspathIsNonEmpty

          protected void assertScalaClasspathIsNonEmpty()